MetaCPAN::Client::Role::Entity(3pm)

NAME
MetaCPAN::Client::Role::Entity - A role for MetaCPAN entities

VERSION
version 2.044000

DESCRIPTION
This is a role to be consumed by all MetaCPAN::Client entities. It provides common attributes and methods.

ATTRIBUTES

  data
Hash reference containing all the entity data.

Entities are usually generated using "new_from_request" which sets the "data" attribute appropriately by picking the relevant information.

Required.

METHODS

  new_from_request
Create a new entity object using a request hash. The hash represents the information returned from a MetaCPAN request. This also sets the data attribute.

  BUILDARGS
Perform type checks & conversion for the incoming data.

AUTHORS

•   Sawyer X <xsawyerx@cpan.org>

•   Mickey Nasriachi <mickey@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 by Sawyer X.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.